<?php

namespace Sibs\Sibs\Setup;

use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Sales\Model\Order\StatusFactory;
use Magento\Sales\Model\ResourceModel\Order\StatusFactory as StatusResourceFactory;

interface SibsUpgradeStatusInterface
{
    public function __construct(ModuleContextInterface $context, StatusFactory $statusFactory, StatusResourceFactory $statusResourceFactory);

    public function getUpgradeVersion();

    public function validateVersion();

    public function upgrade(ModuleDataSetupInterface $setup);
}
